import os
import zipfile

def tozip(file_path,zip_path):
    with zipfile.ZipFile(zip_path,'w',zipfile.ZIP_DEFLATED) as zipf:
        zipf.write(file_path,os.path.basename(file_path))
        
rootpath="/home/lighthouse/stpair/backend/resources"
for root,dir,filelist in os.walk(rootpath):
    
    if root[-3:]>="151" and root[-3:]<="222":
        print(root[-3:])
        for filename in filelist:
            if filename.endswith('meta.h5ad'):
                file=os.path.join(root,filename)
                zip_file=file+".zip"
                print(f'file:{file},zip_file:{zip_file}')
                tozip(file,zip_file)